class ListaClientes {
  ListaClientes({
    required this.result,
    required this.response,
    required this.message,
  });

  List<Result> result;
  bool response;
  String message;

  factory ListaClientes.fromJson(Map<String, dynamic> json) => ListaClientes(
    result: List<Result>.from(json["result"].map((x) => Result.fromJson(x))),
    response: json["response"],
    message: json["message"],
  );

  Map<String, dynamic> toJson() => {
    "result": List<dynamic>.from(result.map((x) => x.toJson())),
    "response": response,
    "message": message,
  };
}

class Result {
  Result({
    required this.dinum,
    required this.nombre,
  });

  String dinum;
  String nombre;

  factory Result.fromJson(Map<String, dynamic> json) => Result(
    dinum: json["DINUM"],
    nombre: json["NOMBRE"],
  );

  Map<String, dynamic> toJson() => {
    "DINUM": dinum,
    "NOMBRE": nombre,
  };
}
